org.apache.torque.generator.source.stream

## Class SourceToXmlTest

- java.lang.Object
- - org.apache.torque.generator.source.stream.SourceToXmlTest

-     public class SourceToXmlTest
      extends Object

  Tests the SourceToXml functionality. $Id: SourceToXmlTest.java 1855923 2019-03-20 16:19:39Z gk $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceToXmlTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testSourceToXml()`
    `void` | `testSourceToXmlAttributeEscaping()`
    `void` | `testSourceToXmlNoAutomaticIds()`
    `void` | `testSourceToXmlTextEscaping()`
    `void` | `testSourceToXmlWithReferences()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceToXmlTest

          public SourceToXmlTest()

  - ### Method Detail

    - #### testSourceToXml

          public void testSourceToXml()
                               throws Exception

      Throws:
        `Exception`

    - #### testSourceToXmlWithReferences

          public void testSourceToXmlWithReferences()
                                             throws Exception

      Throws:
        `Exception`

    - #### testSourceToXmlTextEscaping

          public void testSourceToXmlTextEscaping()
                                           throws Exception

      Throws:
        `Exception`

    - #### testSourceToXmlAttributeEscaping

          public void testSourceToXmlAttributeEscaping()
                                                throws Exception

      Throws:
        `Exception`

    - #### testSourceToXmlNoAutomaticIds

          public void testSourceToXmlNoAutomaticIds()
                                             throws Exception

      Throws:
        `Exception`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.